#pragma once
#include "../Configuration.h"

class MyFont {
public:
    static MyFont& Instance() {
        static MyFont instance;
        return instance;
    }
    MyFont(const MyFont&) = delete;
    MyFont& operator=(const MyFont&) = delete;
private:
    MyFont() {
        if (!m_font.loadFromFile(config::FONT_FILE)
            throw std::runtime_error("Failed to load font");
    }
    ~MyFont() = default;
    sf::Font m_font;
};
