#include "SelectState.h"
#include "../ExitState/ExitState.h"
#include "../../Configuration.h"

void SelectState::event_handling() {
    sf::Event event{};
    while (m_window.pollEvent(event)) {
        if (event.type == sf::Event::Closed) {
            m_state_manager.set_next_state(std::make_unique<ExitState>(m_state_manager));
            m_window.close();
        }
    }
}

void SelectState::update() {

}

void SelectState::render() {

}

bool SelectState::do_step() {
    m_window.setFramerateLimit(config::FRAME_RATE_LIMIT);
    while (m_window.isOpen()) {
        event_handling();
        update();
        render();
    }
    return true;
}